using System.Collections.Generic;
using NBF.Setting;

namespace NBF
{
    public interface ISettings
    {
        List<OptionBase> GetOptionsByTab(string group);
        IEnumerable<string> GetAllTabs();
        T GetSettingOption<T>() where T : OptionBase;
    }
}